using UnityEngine;


public class UserAgentBaseClass : MonoBehaviour
{
    protected UserAgentManager userAgentManager;
    [SerializeField]
    protected ButtonPad buttonPad;

    void Awake()
    {
        userAgentManager = GetComponentInParent<UserAgentManager>();
        buttonPad = userAgentManager.buttonPad;
    }
}

